List knowledge store items

This method returns a list of items in the specified knowledge store.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

knowledge_store_idstringRequired
The unique identifier of the knowledge store.

Query parameters

pageintegerOptionalDefaults to 1

A number that identifies the page to retrieve.

Default: 1.

page_limitintegerOptionalDefaults to 10

The number of items to return on each page.

Default: 10. Max: 50.

sort_byenumOptionalDefaults to created_at
The field to sort on. The following options are available: - `created_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was created. - `updated_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was last updated. **Default**: `created_at`.
Allowed values:
sort_optionstringOptionalDefaults to desc
The sorting direction. The following options are available: - `asc` - `desc` **Default**: `desc`.
statuslist of enumsOptional
Filter by one or more item processing statuses. For the meaning of each value, see the [Item statuses](/v1.3/api-reference/knowledge-store-items/the-knowledge-store-item-object#item-statuses) section on **The knowledge store item object** page. To filter by multiple statuses, repeat the `status` parameter for each value: ``` status=queued&status=pending ```
Allowed values:

Response

The knowledge store items have been successfully retrieved.
datalist of objects
An array containing the knowledge store items.
page_infoobject
An object that provides information about pagination.

Errors

400
Bad Request Error